Package wx :: Package lib :: Module delayedresult :: Class Handler

[frames | no frames]

## Class Handler

Bind some of the arguments and keyword arguments of a callable ('listener'). Then when the Handler instance is called (e.g. handler(result, **kwargs)) the result is passed as first argument to callable, the kwargs is combined with those given at construction, and the args are those given at construction. Its return value is returned.

Method Summary
| ``__init__`(self, listener, *args, **kwargs)` Bind args and kwargs to listener.
| ``__call__`(self, result, **moreKwargs)` Listener is assumed to take result as first arg, then *args, then the combination of moreKwargs and the kwargs given at construction.

Method Details

### __init__(self, listener, *args, **kwargs)
(Constructor)

Bind args and kwargs to listener.

### __call__(self, result, **moreKwargs)
(Call operator)

Listener is assumed to take result as first arg, then *args, then the combination of moreKwargs and the kwargs given at construction.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:59 2007 | http://epydoc.sf.net